﻿Type=StaticCode
Version=1.60
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim queStack01,queStack02,queStack03,queStack04,queStack05 As List
	

End Sub



'=========================================================
Sub zGetWorkingList(num As Int) As List

	Dim list2WorkOn As List
	
	Select Case num 
		Case 1 : list2WorkOn = queStack01
		Case 2 : list2WorkOn = queStack02
		Case 3 : list2WorkOn = queStack03
		Case 4 : list2WorkOn = queStack04
		Case 5 : list2WorkOn = queStack05
	End Select
	
	If Not(list2WorkOn.IsInitialized) Then 
		list2WorkOn.Initialize
	End If
	Return list2WorkOn

End Sub

'==========================================================
Sub Clear(QueStackNum As Int) : zGetWorkingList(QueStackNum).Clear : End Sub
Sub Size(QueStackNum As Int) As Int : Return (zGetWorkingList(QueStackNum).Size) : End Sub



Sub EnQueue(QueNum As Int, data As Object) : zGetWorkingList(QueNum).InsertAt(0,data) : End Sub


'==================================================================
Sub DeQueue(QueNum As Int) As Object
	
	Dim oRET As Object
	Dim list2WorkOn As List : list2WorkOn = zGetWorkingList(QueNum)
	
	Dim index As Int
	index = (list2WorkOn.Size - 1)
	If index = -1 Then
		oRET = Null	
	Else
		oRET = list2WorkOn.Get(index)
		list2WorkOn.RemoveAt(index)
	End If
	Return oRET
	
	

End Sub





'==================================================================
Sub Push(StackNum As Int, data As Object) : zGetWorkingList(StackNum).Add(data) : End Sub
Sub Pop(StackNum As Int) As Object
	'--- this works because Queue items are a inserted at the beginning
	'--- and stack items are added to the end. DeQueue gets the last value in the list
	Return DeQueue(StackNum)
End Sub



